---
title: cosx~
description: signal cosine function with radian input
categories:
 - object
pdcategory: cyclone, Signal Math
arguments:
inlets:
  1st:
  - type: signal
    description: input to cosine function (in radians)
outlets:
  1st:
  - type: signal
    description: output of cosine function

draft: false
---

Properly designed for mathematical operations, [cosx~] it expects an input in radians to calculate the cosine of each input sample.

